Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 1029943002: views: Make View::Paint non-virtual. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by danakj
Modified:
2 years, 3 months ago
Reviewers:
tapted, sky
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org, tdanderson+views_chromium.org, sadrul, tfarina, mlamouri+watch-notifications_chromium.org, kalyank, peter+watch_chromium.org, enne (OOO), piman
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

views: Make View::Paint non-virtual. We can then merge Paint and PaintCommon. Subclasses should use OnPaint to override display behaviour. R=sky BUG=466426 Committed: https://crrev.com/9d993b98ede4cfd3e33bf626dbbf7c055ff73254 Cr-Commit-Position: refs/heads/master@{#322214}

Patch Set 1 #

Total comments: 2

Patch Set 2 : paint-virtual: . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -6 lines) Patch
M ui/app_list/views/app_list_view.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/app_list/views/app_list_view.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M ui/views/view.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/view_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
Trybot results:  mac_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_asan_rel   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win8_chromium_rel   win_chromium_x64_rel_ng   mac_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   linux_chromium_asan_rel   win8_chromium_rel   win_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win8_chromium_rel   linux_chromium_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   linux_chromium_rel_ng   win_chromium_x64_rel_ng   win8_chromium_rel   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_rel_ng   linux_chromium_rel_ng   win_chromium_x64_rel_ng   linux_chromium_asan_rel   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_chromeos_rel_ng   win8_chromium_rel   mac_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   win_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_gn_dbg   linux_chromium_chromeos_compile_dbg_ng   win_chromium_x64_rel_ng   linux_chromium_gn_rel   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_clobber_rel_ng   win8_chromium_rel   linux_chromium_gn_chromeos_rel   android_chromium_gn_compile_rel   android_chromium_gn_compile_dbg   chromium_presubmit   win_chromium_compile_dbg_ng   linux_chromium_compile_dbg_32_ng   mac_chromium_compile_dbg_ng   android_clang_dbg_recipe   android_compile_dbg   linux_android_rel_ng   android_arm64_dbg_recipe   ios_rel_device_ninja   ios_dbg_simulator_ninja 
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (6 generated)
danakj
2 years, 4 months ago (2015-03-24 18:52:15 UTC) #1
sky
https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc File ui/app_list/views/app_list_view.cc (right): https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc#newcode345 ui/app_list/views/app_list_view.cc:345: void AppListView::OnPaint(gfx::Canvas* canvas) { Making these classes override OnPaint ...
2 years, 4 months ago (2015-03-24 19:32:21 UTC) #2
danakj
On 2015/03/24 19:32:21, sky wrote: > https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc > File ui/app_list/views/app_list_view.cc (right): > > https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc#newcode345 > ...
2 years, 4 months ago (2015-03-24 19:35:46 UTC) #3
tapted
https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc File ui/app_list/views/app_list_view.cc (right): https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc#newcode347 ui/app_list/views/app_list_view.cc:347: if (!next_paint_callback_.is_null()) { The app list override is just ...
2 years, 4 months ago (2015-03-24 20:19:42 UTC) #5
danakj
On 2015/03/24 20:19:42, tapted (travelling) wrote: > https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc > File ui/app_list/views/app_list_view.cc (right): > > https://codereview.chromium.org/1029943002/diff/1/ui/app_list/views/app_list_view.cc#newcode347 ...
2 years, 4 months ago (2015-03-24 20:30:13 UTC) #6
danakj
sky@ PTAL, I've rebased away the other 2 CLs which are landed/CQing.
2 years, 4 months ago (2015-03-24 23:18:04 UTC) #8
sky
LGTM
2 years, 4 months ago (2015-03-24 23:20:30 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1029943002/40001
2 years, 4 months ago (2015-03-24 23:55:55 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/1116)
2 years, 4 months ago (2015-03-25 03:05:06 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1029943002/40001
2 years, 3 months ago (2015-03-25 18:36:30 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:40001)
2 years, 3 months ago (2015-03-25 19:49:45 UTC) #17
commit-bot: I haz the power
2 years, 3 months ago (2015-03-25 19:50:18 UTC) #18
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/9d993b98ede4cfd3e33bf626dbbf7c055ff73254
Cr-Commit-Position: refs/heads/master@{#322214}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973